Se connecter a MySql () ?

[Résolu]
Signaler
Messages postés
12
Date d'inscription
dimanche 15 août 2004
Statut
Membre
Dernière intervention
24 avril 2006
-
Messages postés
2835
Date d'inscription
lundi 11 août 2003
Statut
Modérateur
Dernière intervention
16 décembre 2006
-
Bonjours;
j'utilise un sgbd Mysql ( mysql-5.0.1-alpha-snapshot-win ) qui tourne sur windowsNT 4.0 et je me connecte (par des servlet) on utilisant le driver "org.gjt.mm.mysql.Driver" (j'ai ajouter le .jar de mon driver dans le repertoire jvm/lib/ext de mon serveur) et ça marche.
le probleme que j'ai est lorsque j'essaye de mettre ma base mysql sur un windows 2000 server ça marche pas et j'ai le message suivant : HTTP JVM: java.sql.SQLException: Communication link failure: Bad handshake

j'ai meme essayé sur windows 2003 server est c'est le meme message.

mon serveur web est un serveur Domino.
Merci pour votre aide...

3 réponses

Messages postés
12
Date d'inscription
dimanche 15 août 2004
Statut
Membre
Dernière intervention
24 avril 2006

Bonjours;

le JConector 3.0 marche a résolue mon probléme je savais pas que c'était du a la version du driver moi j'utilisais: mysql-connector-java-3.0.8-stable-bin

j'ai changé ce driver par : mysql-connector-java-3.0.16-ga-bin
et bien sur en copiant le .jar dans mon serveur (jvm/lib/ext) et ça marche.

Merci neodante... :)
Messages postés
2835
Date d'inscription
lundi 11 août 2003
Statut
Modérateur
Dernière intervention
16 décembre 2006
10
:big) Neodante :big)

Essaye avec les drivers officiels dispo sur mysql.com dans la partie developer (JConector 3.0 je crois) !
@+

[Responsable www.neogamedev.com]
Messages postés
2835
Date d'inscription
lundi 11 août 2003
Statut
Modérateur
Dernière intervention
16 décembre 2006
10
:big) Neodante :big)

En fait ton ancien driver ne devait pas être compatible avec MySQL 5.0 parce que c'est encore une alpha et pas une version stable ... le version du driver que tu as téléchargée devait gérer MySQL 5.0 alpha c'est tout ! Mais à l'avenir si tu prends la dernière version d'un SGBD pense à prendre la dernière version des drivers JDBC aussi, ça évite beaucoup d'ennuis en général !!! ;-)
@+

[Responsable www.neogamedev.com]